# 🚗 OpenPilot 中文定制版 - 让自动驾驶更懂中国车主

> 历时数月精心打造，专为中国车主定制的 OpenPilot 分支。集成高德地图导航、中文界面、智能限速等多项创新功能，让您的自动驾驶体验更智能、更安全、更便捷！

这是一个基于 OpenPilot 的中文优化定制版本，提供两个精心维护的分支：
- 🐸 [CNFP (汉化版青蛙分支)](https://github.com/jixiexiaoge/openpilot/tree/cnfp) - 追求创新，热爱尝鲜的最佳选择
- 🥕 [CNCP (汉化版胡萝卜分支)](https://github.com/jixiexiaoge/openpilot/tree/cncp) - 稳定可靠，长期使用的理想之选

## ✨ 主要特性

### 🌟 革新功能
- ✅ 实验模式完全支持 - 解锁更多可能
  - 突破原厂限制，完美支持马自达与通用车型
  - 智能模式切换，随心掌控驾驶体验
  - 独创的多模式控制系统
- 🗺️ 高德地图导航集成
  - 智能路线规划，告别迷路烦恼
  - 基于限速的智能车速控制
  - AI 辅助转弯，更安全更平顺
- 🎯 完整的中文界面 - 无需再为英文烦恼
- 🔊 优化的提示音系统 - 更清晰的语音指引
- 🎨 精心设计的图标 - 提升视觉体验

### 🚀 创新驾驶模式
- 🎯 CSLC（曲率速度限制控制）模式
  - 基于道路曲率的智能限速
  - 自动识别弯道，平顺减速
  - 完美结合高德导航，提前规划速度
- 🔄 灵活的模式切换
  - CNFP版本：双击退出实验模式，无缝切换回原车ACC，保持当前车速
  - CNCP版本：长按距离减按钮，轻松切换三种模式
    1. CSLC模式：全自动速度调节，智能限速
    2. MRCC模式：原车ACC功能，熟悉的巡航体验
    3. OPCS模式：仅在弯道和导航时自动调速

### 🛠️ 深度优化
- 📊 增强型仪表盘
  - 实时档位显示，随时掌握车况
  - 发动机转速监控，行车更有把握
  - 智能档位修正，告别显示错误
- 🚗 优秀的车型适配
  - 马自达车型深度优化
    - 完美支持CSLC/MRCC模式切换
    - 智能实验模式解锁
  - 通用（GM）车型完美支持
    - 定制化实验模式适配
    - 多模式无缝切换
  - 其他车型基础功能保障

## 🔄 特色对比

### 🐸 CNFP 版本（追求极致）
- 持续更新，永不过时
- 现代化界面，操作更畅快
- 双击快速切换控制模式
- 适合喜欢尝试新功能的车主

### 🥕 CNCP 版本（追求稳定）
- 稳如泰山，可靠如新
- 简约界面，干净利落
- 长按切换三种控制模式
- 适合注重稳定性的用户

## 📖 CSLC模式详解
CSLC（Curvature Speed Limit Control）是我们独创的曲率速度限制控制系统，它将传统的ACC功能与智能限速完美结合：

### 🎯 核心优势
- 智能弯道识别：基于精确的道路曲率计算
- 预见性减速：提前预判，确保安全平顺
- 导航联动：结合高德地图，提供最佳速度建议
- 自适应控制：根据道路情况实时调整车速

### 💡 使用场景
- 🛣️ 山路驾驶：自动识别弯道，提前降速
- 🌆 城市道路：智能应对复杂路况
- 🗺️ 导航辅助：配合规划路线，优化速度控制
- 🔄 高速过弯：保持舒适的横向加速度

### ⚙️ 操作指南
- CNFP版本：
  - 双击快速切换回原车ACC模式
  - 保持当前车速，平顺过渡
- CNCP版本：
  - 长按距离减按钮循环切换
  - CSLC → MRCC → OPCS 三模式自由切换
  - 每种模式特点鲜明，满足不同场景需求

## 📱 重磅预告：手机助手 APP
我们正在开发一款革命性的手机助手应用，将为您的 comma3 设备带来更多惊喜：

### 🎮 核心功能
- 🚗 实时数据监控
  - 一手掌握车辆核心数据
  - 行驶状态实时同步
- 🎮 智能远程控制
  - comma3 设备无缝连接
  - 便捷远程操作与设置
- 🗺️ AR 实景导航
  - 沉浸式导航体验
  - 实时路况智能提醒
- 📍 一键导航发送
  - 手机规划最优路线
  - 即刻同步至 comma3
- 📊 智能驾驶报告
  - 专业数据分析
  - 驾驶行为优化建议

敬请期待，更多黑科技正在研发中...

## ⚡ 快速安装
1. CNFP版本安装（二选一）：
   ```bash
   jixiexiaoge/cnfp
   ```
   或访问：
   ```
   smiskol.com/fork/jixiexiaoge/cnfp
   ```

2. CNCP版本安装：
   ```bash
   jixiexiaoge/cncp
   ```

## ⚙️ 参数调校指南
> ⚠️ 重要提醒：安装完成只是开始，合理的参数配置才是发挥系统最大性能的关键！

### 📝 界面说明
- 主界面已完整汉化，操作更直观
- 设置界面保留英文，但核心功能简单易懂
- 需要完整汉化可参考历史教程自行调整

### 🎯 参数设置要点
- 安装完成仅完成20%的工作
- 合理的参数设置是获得最佳体验的关键
- 建议按以下步骤进行调校：
  1. 车型参数适配
  2. 转向力度调节
  3. 加减速曲线优化
  4. 跟车距离设置
  5. 弯道速度控制

### 💡 调校建议
- 耐心调试，不要急于求成
- 根据个人驾驶习惯逐步优化
- 遇到问题及时在社区交流
- 可参考知识星球内的调校经验

### ⚠️ 特别提醒
- 切勿轻视参数调校的重要性
- 良好的体验来自精心的调校
- 每台车都需要个性化配置
- 合理参数是安全的基础

## 🎓 技术成长
- 📚 加入知识星球，与专业玩家共同进步
- 🔧 参考安装教程，轻松实现界面汉化
- 💡 深入学习代码，打造专属定制版本

## 🤝 支持项目
如果您觉得这个项目对您有帮助：
- ⭐ 点亮项目星标，给予最直接的支持
- 🔄 分享给更多车友，让更多人受益
- ☕ 赞助开发者，助力项目持续优化

## 💝 赞助支持
您的支持是我们持续优化的动力！赞助任意金额即可加入内测群，抢先体验最新功能！

![赞赏码](https://github.com/jixiexiaoge/iFreeFlow/blob/V2/buymeacoffe.png)

## 📞 联系我们
- 🌟 知识星球：[点击加入精英车主社区](https://wx.zsxq.com/group/15555844842822)

---
特别感谢每一位支持者，让我们一起打造更好的自动驾驶体验！
